
Robot Control Interface - Tasks #323
Handle concurrent access of ommand and status in ResourceNode
05/26/2011 11:57 AM - Anonymous

Status: Resolved Start date: 05/26/2011
Priority: High Due date:
Assignee: % Done: 100%
Category: Estimated time: 2.00 hours
Target version:
Description
Handle concurrent access of command and status in ResourceNode (e.g. lastPositionCommand and lastPositionValue). Concurrent
access by
    -  data-flow (writing command, reading status)
    -  and synchronization with robot/simulator (reading command, writing status)

History
#1 - 02/24/2012 06:11 PM - Anonymous
- Status changed from New to Feedback
- % Done changed from 0 to 10

Command and status variables in one setup now protected through mutexes for testing.

#2 - 03/23/2012 03:57 PM - Anonymous
- Status changed from Feedback to Resolved
- % Done changed from 10 to 100
